---
search:
  tags:
    - Fornitori
    - GET
seo:
  description: >-
    Ottieni un fornitore per id. Un elemento eliminato (soft-delete) viene
    restituito con deleted: true.
sidebar:
  label: Ottieni fornitore per ID
  badge: GET
title: Ottieni fornitore per ID
type: openapi-operation
---
Ottieni un fornitore per id. Un elemento eliminato (soft-delete) viene restituito con `deleted: true`.

`GET /suppliers/{supplierId}`

**Responses**

- `200` — Dettagli del fornitore
- `403` — Chiave API mancante, sconosciuta o inattiva, oppure chiave Read su un’operazione di scrittura.
- `404` — Nessun elemento con questo id.

Response example, 200:

```json
{
  "data": {
    "id": "sup_01",
    "name": "Fornitore di esempio",
    "company": "Example AG",
    "city": "Zürich",
    "street": "Bahnhofstrasse 1",
    "plz": "8001",
    "email": "orders@example.ch",
    "organizationId": "org_01"
  }
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Unknown Error",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/products"
}
```
